﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Domain
{
    public class ContactType
    {
        public int ContactTypeId { get; set; }

        [MaxLength(32)]
        public string ContactTypeValue { get; set; }

        public virtual List<Contact> Contacts { get; set; } = new List<Contact>();

        public override string ToString()
        {
            return 
                ContactTypeId + " - " + 
                ContactTypeValue + " has " + 
                Contacts.Count + " contacts";
        }
    }
}
